﻿#language: ru

Функционал: Закрытие смены. Упаковка в пакеты

Сценарий: Закрытие смены. Упаковка в пакеты
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку с подчиненными:
		| 'Вид РЦ / РЦ' |
		| 'Упаковка'    |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'Упаковка'    | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Сырье'
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'Бассейн соления'             |
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоОстаткиПолуфабрикаты" я разворачиваю строку с подчиненными:
		| 'Ед. изм.' | 'Ед. изм. 1' |  'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | 'шт'         |  'Российский 50%'                      |
	И в таблице "ДеревоОстаткиПолуфабрикаты" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | 'шт'         | '12.03.2019/1'             |
	И я нажимаю на кнопку с именем 'КомандаСписатьУсушкуОстаткиПолуфабрикаты'
	И в таблице "ДеревоОстаткиПолуфабрикаты" поле с именем "ДеревоОстаткиПолуфабрикатыКоличествоКонечныйОстаток" имеет значение ""
	И из выпадающего списка "ОстаткиПолуфабрикатыСтраницаОстатки" я выбираю точное значение 'Материалы'
	И я нажимаю на кнопку с именем 'ДеревоОстаткиМатериалыКомандаРазвернутьУровень4'
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке:
		| 'Ед. изм.' |   'Склад / Номенклатура / Серия / Тара' |
		| 'шт'       |   'Пакет '                     |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиМатериалы'
	Тогда открылось окно 'Списать'
	Тогда таблица "СписываемыеПартии" стала равной:
		| 'Количество' | 'Номенклатура' |
		| '700,000'    | 'Пакет'        |
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'Брак'
	И я нажимаю кнопку выбора у поля "Статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Списать'
	И в таблице "СписываемыеПартииБезТары" в поле с именем 'СписываемыеПартииБезТарыКоличество' я ввожу текст '12,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоОстаткиМатериалы" поле "Количество расход" имеет значение "226,000"
	И я нажимаю на кнопку 'Закрыть'
	И я жду, что в таблице "ОшибкиЗакрытияСмены" количество строк будет "меньше" 1 в течение 10 секунд
	И Я закрываю окно 'Рабочее место мастера смены*'